<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>RoutesCompile (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="RoutesCompile (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/play/tasks/PlayRun.html" title="class in org.gradle.play.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/play/tasks/TwirlCompile.html" title="class in org.gradle.play.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/play/tasks/RoutesCompile.html" target="_top">Frames</a></li>
<li><a href="RoutesCompile.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.play.tasks</div>
<h2 title="Class RoutesCompile" class="title">Class RoutesCompile</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">org.gradle.api.tasks.SourceTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.play.tasks.RoutesCompile</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>, org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">RoutesCompile</span>
extends <a href="../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></pre>
<div class="block">Task for compiling routes templates into Scala code.
 <p>
 This task is usually created as one of the build tasks when building a Play application with the <a href="../../../../org/gradle/play/plugins/PlayPlugin.html" title="class in org.gradle.play.plugins"><code>PlayPlugin</code></a> plugin.

 Explicit configuration of this task is not expected and should be performed on the equivalent settings at the <a href="../../../../org/gradle/play/PlayApplicationSpec.html" title="interface in org.gradle.play"><code>PlayApplicationSpec</code></a> level.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../org/gradle/api/tasks/SourceTask.html#source">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#RoutesCompile()">RoutesCompile</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#getAdditionalImports()">getAdditionalImports</a></strong>()</code>
<div class="block">Returns the additional imports of the Play Routes compiler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/compile/BaseForkOptions.html" title="class in org.gradle.api.tasks.compile">BaseForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#getForkOptions()">getForkOptions</a></strong>()</code>
<div class="block">The fork options to be applied to the Routes compiler.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#getInjectedRoutesGenerator()">getInjectedRoutesGenerator</a></strong>()</code>
<div class="block">Is the injected routes generator (<code>play.routes.compiler.InjectedRoutesGenerator</code>) used for
 generating routes?  Default is false.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#getOutputDirectory()">getOutputDirectory</a></strong>()</code>
<div class="block">Returns the directory to generate the parser source files into.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/play/toolchain/PlayToolChain.html" title="interface in org.gradle.play.toolchain">PlayToolChain</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#getToolChain()">getToolChain</a></strong>()</code>
<div class="block">Returns the tool chain that will be used to compile the routes source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#isGenerateReverseRoutes()">isGenerateReverseRoutes</a></strong>()</code>
<div class="block">Whether a reverse router should be generated.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#isJavaProject()">isJavaProject</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#isNamespaceReverseRouter()">isNamespaceReverseRouter</a></strong>()</code>
<div class="block">Whether the reverse router should be namespaced.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#setAdditionalImports(java.util.List)">setAdditionalImports</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;additionalImports)</code>
<div class="block">Specifies the additional imports of the Play Routes compiler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#setGenerateReverseRoutes(boolean)">setGenerateReverseRoutes</a></strong>(boolean&nbsp;generateReverseRoutes)</code>
<div class="block">Sets whether or not a reverse router should be generated.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#setInjectedRoutesGenerator(boolean)">setInjectedRoutesGenerator</a></strong>(boolean&nbsp;injectedRoutesGenerator)</code>
<div class="block">Configure if the injected routes generator should be used to generate routes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#setNamespaceReverseRouter(boolean)">setNamespaceReverseRouter</a></strong>(boolean&nbsp;namespaceReverseRouter)</code>
<div class="block">Sets whether or not the reverse router should be namespaced.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#setOutputDirectory(java.io.File)">setOutputDirectory</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDirectory)</code>
<div class="block">Specifies the directory to generate the parser source files into.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/play/tasks/RoutesCompile.html#setPlatform(org.gradle.play.platform.PlayPlatform)">setPlatform</a></strong>(<a href="../../../../org/gradle/play/platform/PlayPlatform.html" title="interface in org.gradle.play.platform">PlayPlatform</a>&nbsp;platform)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../org/gradle/api/tasks/SourceTask.html#exclude(groovy.lang.Closure)">exclude</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.Iterable)">exclude</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#exclude(org.gradle.api.specs.Spec)">exclude</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.String...)">exclude</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#getExcludes()">getExcludes</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#getIncludes()">getIncludes</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#getPatternSetFactory()">getPatternSetFactory</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#getSource()">getSource</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#include(groovy.lang.Closure)">include</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.Iterable)">include</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#include(org.gradle.api.specs.Spec)">include</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.String...)">include</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#setExcludes(java.lang.Iterable)">setExcludes</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#setIncludes(java.lang.Iterable)">setIncludes</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#setSource(org.gradle.api.file.FileTree)">setSource</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#setSource(java.lang.Object)">setSource</a>, <a href="../../../../org/gradle/api/tasks/SourceTask.html#source(java.lang.Object...)">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RoutesCompile()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RoutesCompile</h4>
<pre>public&nbsp;RoutesCompile()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOutputDirectory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputDirectory</h4>
<pre><a href="../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputDirectory()</pre>
<div class="block">Returns the directory to generate the parser source files into.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The output directory.</dd></dl>
</li>
</ul>
<a name="setOutputDirectory(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutputDirectory</h4>
<pre>public&nbsp;void&nbsp;setOutputDirectory(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDirectory)</pre>
<div class="block">Specifies the directory to generate the parser source files into.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>outputDirectory</code> - The output directory. Must not be null.</dd></dl>
</li>
</ul>
<a name="getAdditionalImports()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdditionalImports</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getAdditionalImports()</pre>
<div class="block">Returns the additional imports of the Play Routes compiler.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The additional imports.</dd></dl>
</li>
</ul>
<a name="setAdditionalImports(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAdditionalImports</h4>
<pre>public&nbsp;void&nbsp;setAdditionalImports(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;additionalImports)</pre>
<div class="block">Specifies the additional imports of the Play Routes compiler.</div>
</li>
</ul>
<a name="isJavaProject()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJavaProject</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;boolean&nbsp;isJavaProject()</pre>
</li>
</ul>
<a name="setPlatform(org.gradle.play.platform.PlayPlatform)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlatform</h4>
<pre>public&nbsp;void&nbsp;setPlatform(<a href="../../../../org/gradle/play/platform/PlayPlatform.html" title="interface in org.gradle.play.platform">PlayPlatform</a>&nbsp;platform)</pre>
</li>
</ul>
<a name="getToolChain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToolChain</h4>
<pre>@Inject
public&nbsp;<a href="../../../../org/gradle/play/toolchain/PlayToolChain.html" title="interface in org.gradle.play.toolchain">PlayToolChain</a>&nbsp;getToolChain()</pre>
<div class="block">Returns the tool chain that will be used to compile the routes source.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The tool chain.</dd></dl>
</li>
</ul>
<a name="getForkOptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getForkOptions</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/compile/BaseForkOptions.html" title="class in org.gradle.api.tasks.compile">BaseForkOptions</a>&nbsp;getForkOptions()</pre>
<div class="block">The fork options to be applied to the Routes compiler.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The fork options for the Routes compiler.</dd></dl>
</li>
</ul>
<a name="isNamespaceReverseRouter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNamespaceReverseRouter</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isNamespaceReverseRouter()</pre>
<div class="block">Whether the reverse router should be namespaced.</div>
</li>
</ul>
<a name="setNamespaceReverseRouter(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNamespaceReverseRouter</h4>
<pre>public&nbsp;void&nbsp;setNamespaceReverseRouter(boolean&nbsp;namespaceReverseRouter)</pre>
<div class="block">Sets whether or not the reverse router should be namespaced.</div>
</li>
</ul>
<a name="isGenerateReverseRoutes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGenerateReverseRoutes</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isGenerateReverseRoutes()</pre>
<div class="block">Whether a reverse router should be generated.  Default is true.</div>
</li>
</ul>
<a name="setGenerateReverseRoutes(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGenerateReverseRoutes</h4>
<pre>public&nbsp;void&nbsp;setGenerateReverseRoutes(boolean&nbsp;generateReverseRoutes)</pre>
<div class="block">Sets whether or not a reverse router should be generated.</div>
</li>
</ul>
<a name="getInjectedRoutesGenerator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInjectedRoutesGenerator</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;getInjectedRoutesGenerator()</pre>
<div class="block">Is the injected routes generator (<code>play.routes.compiler.InjectedRoutesGenerator</code>) used for
 generating routes?  Default is false.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>false if StaticRoutesGenerator will be used to generate routes,
 true if InjectedRoutesGenerator will be used to generate routes.</dd></dl>
</li>
</ul>
<a name="setInjectedRoutesGenerator(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setInjectedRoutesGenerator</h4>
<pre>public&nbsp;void&nbsp;setInjectedRoutesGenerator(boolean&nbsp;injectedRoutesGenerator)</pre>
<div class="block">Configure if the injected routes generator should be used to generate routes.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>injectedRoutesGenerator</code> - false - use StaticRoutesGenerator
 true - use InjectedRoutesGenerator</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/play/tasks/PlayRun.html" title="class in org.gradle.play.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/play/tasks/TwirlCompile.html" title="class in org.gradle.play.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/play/tasks/RoutesCompile.html" target="_top">Frames</a></li>
<li><a href="RoutesCompile.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
